# SNESGetTolerances

Gets various parameters used in convergence tests.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode PETSCSNES_DLLEXPORT SNESGetTolerances(SNES snes,PetscReal *abstol,PetscReal *rtol,PetscReal *stol,PetscInt *maxit,PetscInt *maxf)

Not Collective

### Input Parameters

| snes | - the SNES context
| abstol | - absolute convergence tolerance
| rtol | - relative convergence tolerance
| stol | - convergence tolerance in terms of the norm of the change in the solution between steps
| maxit | - maximum number of iterations
| maxf | - maximum number of function evaluations

### Notes

The user can specify PETSC_NULL for any parameter that is not needed.

### Keywords

SNES, nonlinear, get, convergence, tolerances

### See Also

SNESSetTolerances()

Level:intermediate
Location: src/snes/interface/snes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex2.c.html
src/snes/examples/tutorials/ex3.c.html
src/snes/examples/tutorials/ex33f.F.html